import { Component, OnInit } from '@angular/core';
import { AppComponent } from 'app/app.component';
import { PagesComponent } from 'app/pages/pages.component';
import { AppNotificationComponent } from '../notification/app.notification.component';

@Component({
    selector: 'of-topbar',
    templateUrl: './app.topbar.component.html',
})
export class AppTopbarComponent implements OnInit {

    notificationCount;
    constructor(
        public app: PagesComponent,
    ) { }

    ngOnInit() {
    }

    onNotiLoaded(count) {
        console.log('count changed');
        this.notificationCount = count;
    }
}
